Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.repository
Class RepositoryType

`java.lang.Object
oracle.rules.sdk.repository.RepositoryType`

public class RepositoryType
extends java.lang.Object

RepositoryType holds meta-information about a repository plugin

Method Summary
`java.lang.String` | `getDescription(java.util.Locale locale)` Get the description for the repository type
`java.lang.String` | `getDisplayName(java.util.Locale locale)` Get display name for the repository type
`java.lang.String` | `getInitPropDescription(java.lang.String initPropKey, java.util.Locale locale)` Get description for an initialization property
`java.lang.String` | `getInitPropDispName(java.lang.String initPropKey, java.util.Locale locale)` Get display name for an initialization property
`java.lang.String[]` | `getInitPropKeys()` Get keys of the properties needed in initialization
`java.lang.String` | `getKey()` Get the key for the repository type
`boolean` | `isRequiredInitProperty(java.lang.String initPropKey)` Test whether an initialization property is required or optional

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getKey

    public java.lang.String getKey()

  Get the key for the repository type
  Returns:
    key for the repository type

### getDisplayName

    public java.lang.String getDisplayName(java.util.Locale locale)

  Get display name for the repository type
  Parameters:
    `locale` - the locale used to get displayName. Default locale will be used if null is passed in.
  Returns:
    display name for the repository type

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Get the description for the repository type
  Parameters:
    `locale` - the locale used to get displayName. Default locale will be used if null is passed in.
  Returns:
    description for the repository type

### getInitPropKeys

    public java.lang.String[] getInitPropKeys()

  Get keys of the properties needed in initialization
  Returns:
    keys of the properties needed in initialization

### getInitPropDispName

    public java.lang.String getInitPropDispName(java.lang.String initPropKey,
                                                java.util.Locale locale)

  Get display name for an initialization property
  Parameters:
    `initPropKey` - key of the initialization property
    `locale` - the locale used to get description for an initialization property. Default locale will be used if null is passed in.
  Returns:
    display name for the initialization property. If no description is available, return "".

### getInitPropDescription

    public java.lang.String getInitPropDescription(java.lang.String initPropKey,
                                                   java.util.Locale locale)

  Get description for an initialization property
  Parameters:
    `initPropKey` - key of the initialization property
    `locale` - the locale used to get description for an initialization property. Default locale will be used if null is passed in.
  Returns:
    description for the initialization property. If no description is available, return "".

### isRequiredInitProperty

    public boolean isRequiredInitProperty(java.lang.String initPropKey)

  Test whether an initialization property is required or optional
  Parameters:
    `initPropKey` - key of the initialization property
  Returns:
    true if the initialization property is required. Otherwise, false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.